## html2text 2.2.3

=== tests/Makefile ===
# Copyright 2020-2023 Fabian Groffen <grobian@gentoo.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License in the file COPYING for more details.

TESTS= \
	   ascii=ordered-list \
	   ascii=unterminated-table \
	   ascii=whitespace-tags \
	   iso-8859-1=dot-in-tag-name \
	   iso-8859-1=hex-entities \
	   iso-8859-1=large-table-gt-no-html-end-tag \
	   utf-8=blockquote-reply \
	   utf-8=bold-utf-8-chars-and-zwnj \
	   utf-8=linked-links-and-email-addresses \
	   utf-8=meta-in-blockquote \
	   utf-8=table-with-border \
	   utf-8=tag-with-colon-attribute \
	   utf-8=unicode-hex-references \
	   utf-8=cid-image-link \
	   utf-8=ifendif \
	   auto=html4meta \
	   auto=html5meta \
	   auto=html4entities \
	   $(NULL)
check:
	@./runtest.sh $(TESTS)

## html2text 1.3.2a

=== debian/changelog ===
html2text (1.3.2a-28) unstable; urgency=medium

  * New manteiner. (Closes: #951882)

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Tue, 23 Jun 2020 17:20:10 -0300

html2text (1.3.2a-27) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/control: bumped debhelper-compat to 13.
  * debian/copyright: updated to format 1.0.
  * debian/docs: added the upstream CREDITS and KNOWN_BUGS files.
  * debian/mime: fixed mime lintian warning
    quoted-placeholder-in-mailcap-entry '%s'.
  * debian/patches:
      - Added a header:
          ~ 100-fix-makefile.patch.
          ~ 110-triplet-cc.patch.
          ~ 550-skip-numbers-in-html-tag-attributes.patch.
      - Refreshed all patches.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide a CI tests.
  * debian/upstream/metadata: created.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Tue, 23 Jun 2020 02:04:56 -0300

html2text (1.3.2a-26) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    + Update the upstream location of html2text. (Closes: #955868)
    + Fix incorrect Debian QA Team maintainer address.
  * debian/watch: Monitor new upstream location for future releases.
  * debian/copyright: Add indication of new upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Apr 2020 13:19:22 -0400

html2text (1.3.2a-25) unstable; urgency=medium

  * Bump standards version to 4.4.1, no changes needed.
  * Bump dependency on debhelper-compat to =11.
  * Drop myself from uploaders, set maintainer to Debian QA Team.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Feb 2020 18:39:28 +0100

html2text (1.3.2a-24) unstable; urgency=medium

  * Add patch from Dmitry Borisyuk <q1werty@i.com.ua> (thanks!) to fix crashes
    with -width or -rcfile. Closes: #716064
  * d/control:
    - bump Standards-Version to 4.3.0, no changes needed.
    - depend on debhelper-compat (=11) and drop d/compat.
  * d/rules:
    - follow https://wiki.debian.org/Hardening more closely.
  * Add debian/source/lintian-overrides to suppress warning about missing gpg
    signed upstream releases.

 -- Holger Levsen <holger@debian.org>  Wed, 27 Feb 2019 20:06:25 +0100

html2text (1.3.2a-23) unstable; urgency=medium

  * Fix utf8 mode quadratic runtime, thanks to Carson Ip
    <carsonip715@gmail.com> for the patch. (Closes: #899105)
  * d/rules: enable all hardening options.
  * Bump standards version to 4.1.5, no changes needed.
  * Fix trailing whitespaces in d/changelog, d/control and d/rules, thanks
    lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 09 Jul 2018 16:26:45 +0000

html2text (1.3.2a-22) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 23:26:20 +0000

html2text (1.3.2a-21) unstable; urgency=medium

  * Bump compat to debhelper 11, update depends accordingly.
  * Drop debian/patches/220-nobs-when-stdout-is-a-tty.patch which has not been
    used since 1.3.2a-10.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Feb 2018 16:58:36 +0000

html2text (1.3.2a-20) unstable; urgency=medium

  * debian/rules:
    - include /usr/share/dpkg/architecture.mk instead of directly defining
      DEB_HOST_GNU_TYPE, thanks lintian.
  * debian/control:
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've confirmed that the build output is bit by bit identical with and
      without this.)
    - use https for Vcs-Git: header.
    - bump Standards-Version to 4.1.3.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Jan 2018 01:10:33 +0000

html2text (1.3.2a-19) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Use canonical URLs for Vcs headers.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
    remove --parallel from dh call in debian/rules as this is the default with
    compat 10.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Sep 2017 23:17:37 +0200

html2text (1.3.2a-18) unstable; urgency=medium

  * Complete the utf8 table. (Closes: #760588) - thanks to Marcos Marado for
    the patch!
  * Validate --width parameter input, don't accept values smaller than zero.
    (Closes: #628178) - thanks to Marcos Marado for this patch as well!

 -- Holger Levsen <holger@debian.org>  Sun, 07 Sep 2014 18:07:59 +0000

html2text (1.3.2a-17) unstable; urgency=medium

  * debian/control:
    - adopt the package. (Closes: #545710)
    - remove DM-Upload-Allowed: header.
    - bump Standards-Version to 3.9.5, no changes needed.
    - raise debhelper build-dependency to >= 9.20120909~ and set debian/compat
      to 9 to enjoy hardening build flags.
  * debian/rules:
    - remove debian/html2textrc.5 on clean.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Feb 2014 14:08:38 +0000

html2text (1.3.2a-16) unstable; urgency=low

  * Orphaned the package.
  * debian/html2text.1:
    - Replaced 'input-url' with 'input-file'. (Closes: #583934)
  * debian/patches:
    - New 100-fix-makefile.patch to support externally-prodided/Debian compile
      flags.
    - New 110-triplet-cc.patch to support cross-building. Patch by
      Matthias Klose. (Closes: #702413)
    - 500-utf8-support.patch: fixed converting &auml;. (Closes: #593453)
  * debian/rules:
    - Support 'nocheck' in DEB_BUILD_OPTIONS. Patch by Daniel Schepler and
      Matthias Klose.
    - Rewrote using dh v7.
    - Use dpkg-buildflags if available.
  * debian/{rules,control,source/format}:
    - Switch to '3.0 (quilt)' format to ease bootstrapping of debhelper.
      Patch by David Schepler. (Closes: #709532)
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/NEWS.Debian:
    - Dropped '.Debian' suffix.


=== debian/control ===
Source: html2text
Maintainer: Bruno Naibert de Campos <bruno.naibert@gmail.com>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/html2text
Vcs-Git: https://salsa.debian.org/debian/html2text.git
Homepage: https://github.com/grobian/html2text

Package: html2text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: curl | wget
Description: advanced HTML to text converter
 html2text is a converter from HTML to plain text.
 .
 html2text reads HTML documents supplied in the command line (or from standard
 input), converts each of them into a stream of plain text characters and
 writes output to the file or the terminal.
 .
 Debian version also can recognize encoding of documents, do on-fly
 input and output recoding.
 .
 html2text was written because the author wasn't happy with the
 output of "lynx -dump" and so he wrote something better.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

export CC = $(DEB_HOST_GNU_TYPE)-g++

%:
	dh $@

override_dh_auto_clean:
	-rm -rf Makefile html2text *.o configure-tmp Dependencies debian/tests/*.result debian/html2textrc.5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/tests/ && sh runtests
endif

override_dh_installman:
	# darn, patch those typos (bug #309887 here)
	zcat html2textrc.5.gz | sed \
		"s/specifiy/specify/; s/elemet/element/; s/who's/whose/" \
		> debian/html2textrc.5
	dh_installman

override_dh_auto_install:
	# do nothing

=== debian/tests/control ===
Test-Command: html2text -help
Restrictions: superficial

Test-Command: html2text -version
Restrictions: superficial

Test-Command: html2text debian/tests/cp1251.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/cp1251.html.supposed;

Test-Command: html2text debian/tests/debianorg.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/debianorg.html.supposed;

Test-Command: html2text debian/tests/h1.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/h1.html.supposed;

Test-Command: html2text debian/tests/quotes_dashes.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/quotes_dashes.html.supposed;

Test-Command: html2text -utf8 debian/tests/rus+eng.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/rus+eng.html.supposed;

Test-Command: html2text -ascii debian/tests/ascii-ntilde.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/ascii-ntilde.html.supposed;

Test-Command: html2text -utf8 debian/tests/pkgreport.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/pkgreport.html.supposed;

Test-Command: html2text debian/tests/number_in_attribute.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/number_in_attribute.html.supposed;

Test-Command: html2text -utf8 debian/tests/auml.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/auml.html.supposed;

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%html2text-$1.tar.gz%" \
 https://github.com/grobian/html2text/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## html2text 2.2.3

=== debian/changelog ===
html2text (2.2.3-2) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream version 2.2.3. (Closes: #963701)
  * debian/watch: Fix monitoring script.
  * debian/control: Bump Standards-Version to 4.6.2..
  * debian/README.source: Dropped, completely useless.
  * debian/rules: Use dpkg buildtools.mk to provide CC.
  * debian/docs: Refresh and rename to html2text.docs.
  * debian/patches/:
    - 100-fix-makefile.patch: Dropped, upstream migrated to autotools.
    - 110-triplet-cc.patch: Dropped, ditto.
    - 200-close-files-inside-main-loop.patch: Dropped. Program rewritten
      in cpp, patch no longer applicable. Besides, this patch is almost
      meaningless given html2text does not execute long.
    - 400-remove-builtin-http-support.patch: Dropped. We do not add
      extra patches to diverge from upstream development.
    - 500-utf8-support.patch: Dropped, upstream has utf8 support by default.

  [ Bruno Naibert de Campos ]
  * Removed Debian customizations. Consequently:
      - debian/control: Removed information about in the long description.
      - debian/NEWS: Added information about this change.
      - debian/patches/: Removed:
          ~ 510-disable-backspaces.patch.
          ~ 611-recognize-input-encoding.patch.
          ~ 630-recode-output-to-locale-charset.patch.
      - debian/README.Debian: No longer needed.
  * Removed specific script for testing. Consequently:
      - debian/tests/runtests: Removed.
      - debian/rules: Removed override_dh_auto_test.
  * debian/copyright:
      - Removed a comment from the first copyright block.
      - Updated the packaging and upstream copyright years.
  * debian/examples: Updated file path.
  * debian/html2text.1: Removed. Manpage added by upstream.
  * debian/html2text.docs: added the upstream HISTORY file.
  * debian/manpages: Updated manpages location.
  * debian/NEWS: Added information about removing Debian customizations.
  * debian/patches/:
      - The upstream fixed some points in source code. Consequently, removed:
          ~ 550-skip-numbers-in-html-tag-attributes.patch.
          ~ 600-multiple-meta-tags.patch.
          ~ 800-replace-zeroes-with-null.patch.
          ~ 810-fix-deprecated-conversion-warnings.patch.
          ~ 900-complete-utf8-entities-table.patch.
          ~ 950-validate-width-parameter.patch.
          ~ 960-fix-utf8-mode-quadratic-runtime.patch.
          ~ 970-fix-arg-parsing.patch.
          ~ 980-catch-alloc-err.patch.
  * debian/rules:
      - Removed override_dh_installman. The upstream fixed the source
        code.
      - Removed no more needed override_dh_auto_clean and
        override_dh_auto_install.
  * debian/source/lintian-overrides:
      - Added override a false positive.
      - Updated renamed tag.
  * debian/tests/control: Updated tests to be compliant with the new upstream
    version.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sat, 20 Jan 2024 03:24:02 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/html2text
 Vcs-Git: https://salsa.debian.org/debian/html2text.git
@@ -20,8 +20,5 @@
  input), converts each of them into a stream of plain text characters and
  writes output to the file or the terminal.
  .
- Debian version also can recognize encoding of documents, do on-fly
- input and output recoding.
- .
  html2text was written because the author wasn't happy with the
  output of "lynx -dump" and so he wrote something better.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%html2text-$1.tar.gz%" \
 https://github.com/grobian/html2text/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## html2text 2.4.0

=== tests/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	   ascii=ordered-list \
 	   ascii=unterminated-table \
 	   ascii=whitespace-tags \
+	   ascii=corrupt-attributes.html \
 	   iso-8859-1=dot-in-tag-name \
 	   iso-8859-1=hex-entities \
 	   iso-8859-1=large-table-gt-no-html-end-tag \
@@ -26,9 +27,11 @@
 	   utf-8=unicode-hex-references \
 	   utf-8=cid-image-link \
 	   utf-8=ifendif \
+	   utf-8=style-visibility-hidden \
 	   auto=html4meta \
 	   auto=html5meta \
 	   auto=html4entities \
+	   auto=table-misrendering \
 	   $(NULL)
 check:
 	@./runtest.sh $(TESTS)

=== debian/changelog ===
html2text (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0. (Closes: #931254, #1019211, LP: #1564317)
  * debian/control:
    - Added bison | byacc to Build-Depends field.
    - Mark html2text multi-arch foreign. Thanks to Helmut Grohne
      <helmut@subdivi.de> (Closes: #980544)
    - Renewed short and long descriptions.
  * debian/copyright:
    - Updated upstream copyright years.
    - Updated with added and removed files.
  * debian/patches/010_string-before-concat.patch: dropped. The upstream
    already fixed the source code.
  * debian/tests/pkgreport.html.supposed: updated file to be compliant with
    the new upstream version.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Mon, 06 Oct 2025 20:14:37 -0300

html2text (2.2.3-4) unstable; urgency=medium

  [ Bruno Naibert de Campos]
  * Note: #1077671 was incorrectly referenced as fixes in 2.2.3-3, the correct
    bug was #1069872 which is already closed.
  * debian/copyright: updated the packaging copyright years.
  * debian/control: bumped Standards-Version to 4.7.2.

  [ Florian Ernst ]
  * d/patches/010_string-before-concat.patch: fix bug reference

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sun, 29 Jun 2025 16:59:04 -0300

html2text (2.2.3-3) unstable; urgency=medium

  [ Bruno Naibert de Campos ]
  * New upstream homepage.
  * debian/control: bumped Standards-Version to 4.7.0.

  [ Andrea Pappacoda ]
  * debian/patches/010_string-before-concat.patch: Added to fix input
    type=checkbox output (Closes: #1077671)

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sun, 27 Oct 2024 09:15:28 -0300

=== debian/control ===
Source: html2text
Maintainer: Bruno Naibert de Campos <bruno.naibert@gmail.com>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               bison | byacc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/html2text
Vcs-Git: https://salsa.debian.org/debian/html2text.git
Homepage: https://gitlab.com/grobian/html2text

Package: html2text
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: curl | wget
Description: HTML to text rendering aimed for E-mail
 html2text attempts to render HTML in a way that would resemble the original
 intentions using the restricted dimensions and capabilities of terminal or
 text output.
 .
 It interprets HTML in a somewhat relaxed way, in order to cope with incorrect
 sequences somewhat. Reason for this is that in the wild, particularly with
 Email, incorrect HTML is (still) often seen.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

=== debian/tests/control ===
Test-Command: html2text -help
Restrictions: superficial

Test-Command: html2text -version
Restrictions: superficial

Test-Command: html2text -nobs debian/tests/cp1251.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/cp1251.html.supposed;

Test-Command: html2text -nobs debian/tests/debianorg.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/debianorg.html.supposed;

Test-Command: html2text -nobs debian/tests/h1.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/h1.html.supposed;

Test-Command: html2text debian/tests/quotes_dashes.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/quotes_dashes.html.supposed;

Test-Command: html2text -utf8 debian/tests/rus+eng.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/rus+eng.html.supposed;

Test-Command: html2text -utf8 -nobs debian/tests/pkgreport.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/pkgreport.html.supposed;

Test-Command: html2text debian/tests/number_in_attribute.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/number_in_attribute.html.supposed;

Test-Command: html2text -utf8 debian/tests/auml.html > $AUTOPKGTEST_TMP/result;
              diff $AUTOPKGTEST_TMP/result debian/tests/auml.html.supposed;

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/grobian/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
